"use strict";Object.defineProperty(exports, "__esModule", {value: true}); function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }// src/index.ts
var _shiki = require('@antfu/shiki');
var _deasync = require('deasync'); var _deasync2 = _interopRequireDefault(_deasync);
var MarkdownItShiki = (markdownit, options = {}) => {
  let _highlighter = void 0;
  const themes = [];
  let darkModeThemes;
  if (!options.theme) {
    themes.push("nord");
  } else if (typeof options.theme === "string") {
    themes.push(options.theme);
  } else {
    darkModeThemes = options.theme;
    themes.push(options.theme.dark);
    themes.push(options.theme.light);
  }
  _shiki.getHighlighter.call(void 0, {themes}).then((h) => {
    _highlighter = h;
  });
  markdownit.options.highlight = (code, lang) => {
    while (!_highlighter)
      _deasync2.default.sleep(100);
    if (darkModeThemes) {
      const dark = _highlighter.codeToHtml(code, lang || "text", darkModeThemes.dark);
      const light = _highlighter.codeToHtml(code, lang || "text", darkModeThemes.light);
      return dark.replace('<pre class="shiki"', '<pre class="shiki shiki-dark"') + light.replace('<pre class="shiki"', '<pre class="shiki shiki-light"');
    } else {
      return _highlighter.codeToHtml(code, lang || "text");
    }
  };
};
var src_default = MarkdownItShiki;


exports.default = src_default;
