// src/index.ts
import {getHighlighter} from "@antfu/shiki";
import deasync2 from "deasync";
var MarkdownItShiki = (markdownit, options = {}) => {
  let _highlighter = void 0;
  const themes = [];
  let darkModeThemes;
  if (!options.theme) {
    themes.push("nord");
  } else if (typeof options.theme === "string") {
    themes.push(options.theme);
  } else {
    darkModeThemes = options.theme;
    themes.push(options.theme.dark);
    themes.push(options.theme.light);
  }
  getHighlighter({themes}).then((h) => {
    _highlighter = h;
  });
  markdownit.options.highlight = (code, lang) => {
    while (!_highlighter)
      deasync2.sleep(100);
    if (darkModeThemes) {
      const dark = _highlighter.codeToHtml(code, lang || "text", darkModeThemes.dark);
      const light = _highlighter.codeToHtml(code, lang || "text", darkModeThemes.light);
      return dark.replace('<pre class="shiki"', '<pre class="shiki shiki-dark"') + light.replace('<pre class="shiki"', '<pre class="shiki shiki-light"');
    } else {
      return _highlighter.codeToHtml(code, lang || "text");
    }
  };
};
var src_default = MarkdownItShiki;
export {
  src_default as default
};
